Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.model.measurement
Interface PerformanceGenericModel

All Superinterfaces:
  com.sun.management.oss.impl.model.ByClassesGenericModel, com.sun.management.oss.impl.model.GenericModel

public interface PerformanceGenericModel
extends com.sun.management.oss.impl.model.ByClassesGenericModel

The `PerformanceGenericModel` interface is the interface between a measurement job factory and its associated jobs (the factory/job layer) and the data model the factory/jobs care about.

It means that if you want an X JMX data model instance to be monitored by the `com.sun.management.oss.impl.factory.measurement.JmxJVTPerformanceMonitorSession` factory and its jobs, you have to provide the factory with an implementation of the `PerformanceGenericModel` interface (passed at contstruction time of the factory).

An implementation of the `PerformanceGenericModel` interface defines as far as the underlying JMX data model is concerned:

- what is exaclty a class in the model
- what is the naming rule for the object names of the observable objects (what is the set of observable objects)
- the set and definition of the observable attributes of the observable objects
- how attributes are retrieved
- what are the supported granularities for the classes

Version:
  1.0
Author:
  Mathieu Rossignol

Method Summary
`com.sun.management.oss.impl.job.measurement.GenericObject[]` | `getData(javax.management.ObjectName[] dnList, PerformanceAttributeDescriptor[] attributesToMeasure)` `getData` Collects wanted attribute values for each specified object.
`boolean` | `hasPerformanceAttributes(javax.management.ObjectName dn, PerformanceAttributeDescriptor[] attributesToMeasure)` `hasPerformanceAttributes` Returns true if the given object has every attributes specified in attributesToMeasure.

Methods inherited from interface com.sun.management.oss.impl.model.ByClassesGenericModel
`isOfClass, isValidClass`

Methods inherited from interface com.sun.management.oss.impl.model.GenericModel
`getObservableAttributes, getObservableObjectClasses, getObservableObjects, getSupportedGranularities, getSupportedObservableObjects, isMatchingNamingRules, setMBS`

Method Detail

### getData

    public com.sun.management.oss.impl.job.measurement.GenericObject[] getData(javax.management.ObjectName[] dnList,
                                                                               PerformanceAttributeDescriptor[] attributesToMeasure)

  `getData` Collects wanted attribute values for each specified object.

  Parameters:
    `dnList` - The distinguished names of the objects that should be in browsed.
    `attributesToMeasure` - The attributes that are going to be collected.
  Returns:
    Data collected

### hasPerformanceAttributes

    public boolean hasPerformanceAttributes(javax.management.ObjectName dn,
                                            PerformanceAttributeDescriptor[] attributesToMeasure)
                                     throws ObjectNotFoundException

  `hasPerformanceAttributes` Returns true if the given object has every attributes specified in attributesToMeasure.

  Parameters:
    `dn` - Object name you want to check for attributes.
    `attributesToMeasure` - Attributes to check.
  Returns:
    True if the provided object has every attributes to check.
  Throws:
    `ObjectNotFoundException` - Is raised if the object is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD